git.net

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: gRPC and Google Guava version


The I probably would go with the solution at point 1 for the moment.
--Andrea Cosentino ----------------------------------Apache Camel PMC ChairApache Karaf CommitterApache Servicemix PMC MemberEmail: ancosen1985@yahoo.comTwitter: @oscerd2Github: oscerd 

    On Monday, June 18, 2018, 10:53:40 AM GMT+2, Dmitry Volodin <dmvolod@xxxxxxxxx> wrote:  
 
 Andrea,

I added this, but spring boot example doesn't work without explicit version
(20.0) defined.

--
Best regards,
Dmitry Volodin

2018-06-18 11:41 GMT+03:00 Andrea Cosentino <ancosen1985@xxxxxxxxx.invalid>:

> I would add a specific guava-version property only for gRPC and gRPC Karaf
> feature.
>
> This is what we usually do for Guava stuff.
>
> --
> Andrea Cosentino
> ----------------------------------
> Apache Camel PMC Chair
> Apache Karaf Committer
> Apache Servicemix PMC Member
> Email: ancosen1985@xxxxxxxxx
> Twitter: @oscerd2
> Github: oscerd
>
>
>
>
>
>
> On Monday, June 18, 2018, 8:55:37 AM GMT+2, Dmitry Volodin <
> dmvolod@xxxxxxxxx> wrote:
>
>
>
>
>
> Hi Camellers!
>
> The new gRPC version (0.12.0) requires strong own Guava version which is
> 20.0, however we have an import with version 19.0 in Camel parent which
> cause transient dependency problem in the custom/sample projects importing
> camel-grpc component:
>
> What do you think about potential sulitions:
> 1. Add documentation note that users must add following line to custom
> pom.xml file
> <google-guava-version>${grpc-guava-version}</google-guava-version> for
> overriding default guava version.
>
> 2. Update current google-guava-version in parent from 19.0 to 20.0 which
> could relate to the potential problems in other components
>
> 3. Play with maven enforcer plugin or suggest another solution.
>
> Thanks in advance.
>
> --
> Best regards,
> Dmitry Volodin
>